Perp Isolated
Cancel all trades
POST
/perp/isolated/trades/cancel-allPrivateCancel all your open trades of a perpetual market. Returns the canceled trades, an empty list when there were none.
Permissions: futures:isolated:write
application/json- body
instrument*stringInstrument of the market
Value in
"inverse_perp""quanto_perp"pair*stringPair of the market
OK
application/json- response
[index: integer]?import { createHttpClient } from '@ln-markets/sdk/rest/v3'
const client = createHttpClient({
key: 'your-key',
secret: 'your-secret',
passphrase: 'your-passphrase',
})
const result = await client.perp.isolated.cancelAllTrades({
instrument: 'inverse_perp',
pair: 'btc_usd'
})[
{
"id": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",
"instrument": "inverse_perp",
"pair": "btc_usd",
"type": "limit",
"side": "buy",
"openingFee": 10,
"closingFee": 0,
"maintenanceMargin": 0,
"quantity": 100,
"entryNotionalUsd": 100,
"exitNotionalUsd": null,
"margin": 1000,
"leverage": 10,
"price": 20000,
"liquidation": 18000,
"stoploss": 10,
"takeprofit": 10,
"stoplossTrailingDistance": 0,
"exitPrice": 0,
"pl": 0,
"createdAt": "2025-09-01T15:04:21.129Z",
"filledAt": null,
"closedAt": "2025-09-01T15:04:21.129Z",
"entryPrice": 20000,
"entryMargin": 1000,
"entryBtcPrice": 100000,
"open": false,
"running": false,
"canceled": true,
"closed": false,
"sumFundingFees": 0,
"sumQuantoAdjustmentFees": 0,
"sumCashInPl": 0,
"sumCashInMargin": 0,
"clientId": "test-client-id-123",
"label": "strategy-a"
}
]Cancel trade POST
Cancel an open trade (a limit order not filled yet). Its margin and maintenance margin go back to your balance. Returns the canceled trade.
Close trade POST
Close a running trade at the bid (long) or ask (short) price for its size. Its margin plus P&L, and the maintenance margin left after the closing fee, are…